Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.web.bindery.requestfactory.shared
Annotation Type ExtraTypes

    @Target(value=TYPE)
    public @interface ExtraTypes

This annotation can be applied to `EntityProxy`, `ValueProxy`, `RequestContext`, and `RequestFactory` type declarations to include additional polymorphic proxy types that are not explicitly referenced.

Required Element Summary
`java.lang.Class<? extends BaseProxy>[]` | `value`

Element Detail

### value

    public abstract java.lang.Class<? extends BaseProxy>[] value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT